Issue312

Title Add a 'go to the last message' link
Priority wish Status resolved
Superseder Fold history in the issue pages
View: 401
Nosy List amk, eric.araujo, ezio.melotti, loewis, pitrou, r.david.murray, stephen, techtonik
Assigned To ezio.melotti Topics

Created on 2010-01-15.14:23:10 by ezio.melotti, last changed 2011-06-07.11:03:18 by ezio.melotti.

Files
File name Uploaded Type Edit Remove
issue312-jumptolastmsg.png ezio.melotti, 2010-06-19.16:06:22 image/png
issue312.diff ezio.melotti, 2010-06-19.16:03:48 text/plain
Messages
msg1503 (view) Author: ezio.melotti Date: 2010-01-15.14:23:10
It would be useful to have a 'go to the last message' link that sends to http://bugs.python.org/issueXXXX#msgYYYYY somewhere at the beginning of the page (a good place might be just next to the "Messages (N)"). This is especially useful while reading issues from a cellphone (where is not so easy to scroll) and/or when the issue contains lots of message and the last one is somewhere at about 3/4 of the page (the last 1/4 is taken by the log).
Similarly a 'go to the top' link could be added after the last message.
These links will also be useful to go back and forth while answering (using the form at the top) to the last message (at the bottom).
msg1679 (view) Author: ezio.melotti Date: 2010-06-19.16:03:48
Here is a patch that adds a "jump to the last message" link on the right of the "Messages (N)" (just before the first message). Once clicked the link will "scroll" the page till the last message, using a simple anchor (i.e. issueXXXX#msgYYYYY).
The patch is still incomplete, a "jump to the top" link should be added on the bottom of the page (maybe next the "History") and the link could look better.
msg1680 (view) Author: pitrou Date: 2010-06-19.16:27:58
Followup after a quick discussion on IRC:
- using the "end" key brings you to the bottom of the page, which is almost the last message
- making the "history" section folded by default would make "end" jump you to the last message directly
- adding usability "features" can decrease overall usability by making the UI more cluttered, less intuitive, visually heavier and more cumbersone
- Ezio's point that cellphones don't have an "end" key was countered by Jp Calderone mentioning that a cellphone-specific CSS can be designed, so as to better cater to their specific characteristics
msg1732 (view) Author: eric.araujo Date: 2010-07-12.21:31:18
Feedback on Antoine’s comments:
- On bugs with long discussion, jumping to the end is not enough to get the last bug.
- Would that be JavaScript folding? How would it work for people without JavaScript?
- Agreed on clutter. I personally prefer bug trackers that have only one merged list of messages and actions, preferably with just one line for an action (unlike Trac e.g.)
msg1733 (view) Author: eric.araujo Date: 2010-07-12.21:39:24
I was unclear. In my first point, I meant “bugs with a long discussion and thus a long actions list”. In the third point, I meant to say that with such a merged list, jumping to the end (with the End key) is always be the best way to go to the last message, except in very rare cases where a message would be followed by a screenful of actions.
msg1736 (view) Author: techtonik Date: 2010-07-13.13:48:14
Much better usability feature would be a personal message filter, so you can hide irrelevant messages.
msg1989 (view) Author: eric.araujo Date: 2011-04-13.16:07:05
In general, duplicating browser UI in HTML (like those “go to top” links) is a mistake IMO.  The End key (and similar controls) works.
msg1991 (view) Author: r.david.murray Date: 2011-04-13.16:32:45
That would be true of the 'end' button took you to the last message.  But it doesn't, it takes you to the end of the history list.

A better solution would be fold the history list by default, I think.  Or alternatively to interleave it with the messages, but I'd have to see how that looks to know if I liked it.  (That's how RT works by default, though, and I do find it useful in RT.)
msg2006 (view) Author: ezio.melotti Date: 2011-04-14.02:28:36
Folding the history is actually what I was planning to do. Interleaving some of the history is useful too, but I'll have to see about that.
msg2022 (view) Author: eric.araujo Date: 2011-04-21.15:20:31
> That would be true of the 'end' button took you to the last message.  But it
> doesn't, it takes you to the end of the history list.

In most bug reports, that’s not far from the end of the message list, or one PageUp keystroke away.  But I acknowledge that there are bugs with pathologically long history (or file lists *cough*regex*cough* *wink*).

> A better solution would be fold the history list by default, I think.

I’m wondering: if it wouldn’t hurt to hide it, doesn’t that mean it’s useless?

> Or alternatively to interleave it with the messages, but I'd have to see how
> that looks to know if I liked it.  (That's how RT works by default, though,
> and I do find it useful in RT.)

Oh please yes.  Having the list of files separated makes sense, but having a list of messages and a list of actions does not IMO.  I use other bug trackers with only one list and it’s in my experience much nicer to use.
msg2023 (view) Author: ezio.melotti Date: 2011-04-21.16:10:48
> I’m wondering: if it wouldn’t hurt to hide it, doesn’t that mean it’s useless?

It mostly is, but currently there are cases where it's useful (e.g. link to superseders, see things that got deleted, changes in the title, etc.).
Some of things could be fixed in other places though, but folding it would be a good compromise.
msg2024 (view) Author: stephen Date: 2011-04-21.16:18:59
Éric Araujo writes:

 > Oh please yes.  Having the list of files separated makes sense, but having a list of messages and a list of actions does not IMO.  I use other bug trackers with only one list and it’s in my experience much nicer to use.

But be a little picky about filtering out "noise" actions.  On the
MacPorts Trac you occasionally see a full screen (about 20 entries
for me) of nothing but "CC me!" messages.  (These are the equivalent
of adding to nosy in Roundup.)  At the very least, changes to nosy
should not be interleaved with the messages.  There may be other
uninteresting actions though I can't think of any offhand.
msg2026 (view) Author: r.david.murray Date: 2011-04-21.16:46:14
I disagree that the actions are "mostly useless", or even that the 'nosy' change information is noise.  While I don't refer to the action list often, I do refer to it regularly to answer some question about actions taken on the issue.  And I'd guess that about half the time I do I'm checking to see when someone got added as nosy and whether they did it themselves or if someone else added them (and if so, I sometimes care about who did the add).
msg2027 (view) Author: ezio.melotti Date: 2011-04-21.16:57:35
"mostly useless" means that in most of the cases you don't care about them and if you do it's just about a specific action.
I'd leave nosy changes out from the interleaved history for example, and also changes to most of the other fields.
One thing that should definitely be interleaved are the files that get added, because often the messages refer to "the attached patch" and there might be several patches attached to the issue.
So IMHO it's better to avoid having too much noise between the messages and leave the detailed history collapsed at the bottom -- if someone needs something specific he can then go there and look.
msg2028 (view) Author: stephen Date: 2011-04-21.17:06:39
R David Murray writes:

 > I disagree that the actions are "mostly useless",

Did somebody actually write that?  I didn't.

 > or even that the 'nosy' change information is noise.  While I don't
 > refer to the action list often, I do refer to it regularly to
 > answer some question about actions taken on the issue.  And I'd
 > guess that about half the time I do I'm checking to see when
 > someone got added as nosy and whether they did it themselves or if
 > someone else added them (and if so, I sometimes care about who did
 > the add).

I was incautious in my phrasing.  By "filter out" I meant to imply
"into a list at the bottom".  If you are checking explicitly, ISTM
it's more convenient to have a compact list at the bottom of the page
to check, rather than looking for the action interleaved with all the
messages.  But when interlined, most of the time "nosy += me" really
is just noise, and when you get 20 in a row, it's quite annoying.
msg2029 (view) Author: techtonik Date: 2011-04-21.17:12:32
On Thu, Apr 21, 2011 at 7:18 PM, Stephen Turnbull
<metatracker@psf.upfronthosting.co.za> wrote:
>
> Éric Araujo writes:
>
>  > Oh please yes.  Having the list of files separated makes sense, but having a list of messages and a list of actions does not IMO.  I use other bug trackers with only one list and it’s in my experience much nicer to use.

What else besides Trac do you mean?

> At the very least, changes to nosy
> should not be interleaved with the messages.

If noisy change takes one line between messages, it won't hurt too
much even for 20 noizees.
msg2030 (view) Author: techtonik Date: 2011-04-21.17:14:56
If you're going to relocate the list of actions based on action type, please add `duplicate issue` actions beneath attached files.

(don't you find the title of this issue rather offtopic?)
msg2032 (view) Author: r.david.murray Date: 2011-04-21.18:22:02
As long as the information is accessible, I don't really care where it is.  I thought you were advocating getting rid of the nosy update information altogether.
msg2036 (view) Author: eric.araujo Date: 2011-04-22.16:29:48
[Stephen]
>> I disagree that the actions are "mostly useless",
> Did somebody actually write that?  I didn't.
It is I who wondered about it.

[Ezio]
> One thing that should definitely be interleaved are the files that get added,
> because often the messages refer to "the attached patch" and there might be
> several patches attached to the issue.
Exactly.  I’d be very happy if this was changed and the rest of the actions list left alone.

anatoly: debbugs and codingteam, for instance.
msg2078 (view) Author: ezio.melotti Date: 2011-06-07.11:03:18
The fix applied in #401 should address this as well, therefore I'm closing this issue.
History
Date User Action Args
2011-06-07 11:03:18ezio.melottisetstatus: in-progress -> resolved
superseder: + Fold history in the issue pages
messages: + msg2078
2011-04-22 16:29:49eric.araujosetmessages: + msg2036
2011-04-21 18:22:02r.david.murraysetmessages: + msg2032
2011-04-21 17:14:57techtoniksetmessages: + msg2030
2011-04-21 17:12:32techtoniksetmessages: + msg2029
2011-04-21 17:06:39stephensetmessages: + msg2028
2011-04-21 16:57:35ezio.melottisetmessages: + msg2027
2011-04-21 16:46:14r.david.murraysetmessages: + msg2026
2011-04-21 16:18:59stephensetnosy: + stephen
messages: + msg2024
2011-04-21 16:10:48ezio.melottisetmessages: + msg2023
2011-04-21 15:20:31eric.araujosetmessages: + msg2022
2011-04-14 02:28:36ezio.melottisetmessages: + msg2006
2011-04-13 16:32:46r.david.murraysetnosy: + r.david.murray
messages: + msg1991
2011-04-13 16:07:05eric.araujosetmessages: + msg1989
2010-07-13 13:48:14techtoniksetnosy: + techtonik
messages: + msg1736
2010-07-12 21:39:25eric.araujosetmessages: + msg1733
2010-07-12 21:31:18eric.araujosetnosy: + eric.araujo
messages: + msg1732
2010-06-26 14:04:18ezio.melottisetnosy: + loewis
2010-06-19 16:27:59pitrousetnosy: + pitrou
messages: + msg1680
2010-06-19 16:06:22ezio.melottisetfiles: + issue312-jumptolastmsg.png
2010-06-19 16:03:49ezio.melottisetstatus: unread -> in-progress
nosy: + amk
messages: + msg1679
files: + issue312.diff
assignedto: ezio.melotti
2010-01-15 14:23:10ezio.melotticreate